S.SYS.SASMVERS EQU 2003193 ;Assembler/linker version, new format (abbbccc)
S.PRJ.NL___Sjabloon.SbusStation EQU 5 ;S-Bus station number
S.CPU.PcdType EQU 35 ;PCD types, see __PCDx_Mxxx__ symbols
S.CPU.Eline_System EQU 0 ;0=not an E-line type
S.CPU.NT_System EQU 1 ;1 for new PCD types, 0 for old
S.CPU.Cpu EQU 0 ;CPU number
S.CPU.PCD3_System EQU 35 ;PCD3 type, or 0 if not PCD3
S.CPU.PCD2M5_System EQU 0 ;PCD2_M5 type, or 0 if not PCD2_M5
S.CPU.MinFWVersion EQU 12800 ;Min firmware
S.CPU.MaxFWVersion EQU 999999 ;Max firmware version not defined
S.CPU.FullHandshakeOnPort0 EQU 1 ;Full RS-232 handshaking on Port 0
S.CPU.Xob1Enable EQU 0 ;XOB 1 enabled
S.CPU.SbusStation EQU 5 ;S-Bus station number
S.CPU.SbusPguPort EQU 2 ;Serial PGU port number, -1=none
S.CPU.SbusBaudRate EQU 38400 ;Serial port baud rate
S.CPU.SbusMode EQU 2 ;Serial port mode, 0=Break, 1=Parity, 2=Data
S.CPU.SbusModemPort EQU -1 ;Modem port number, -1=none
S.CPU.SbusModemBaudRate EQU 9600 ;Modem baud rate
S.CPU.SbusModemMode EQU 2 ;0=Break, 1=Parity, 2=Data
S.CPU.IPNode EQU 5 ;IP node number
S.CPU.IPChannel EQU 9 ;IP channel number
S.CPU.IPAddress EQU 0C0A8B205H ;IP address : 192.168.178.5
S.CPU.IPSubnetMask EQU 0FFFFFF00H ;Subnet mask : 255.255.255.0
S.CPU.IPDefaultRouter EQU 00H ;Default router : 0.0.0.0
S.CPU.EnergyMonitoringEnabled EQU 0 ;Energy monitoring function enabled
S.CPU.Interrupt0XOB EQU 20 ;Interrupt XOB number defined in the Device Configurator
S.CPU.Interrupt1XOB EQU 21 ;Interrupt XOB number defined in the Device Configurator
S.CPU.ProgramVersion EQU 0 ;Program Version
S.CPU.LastTimer EQU T 499 ;Last timer number
S.CPU.TimerTimebase EQU 100 ;Timer timebase in ms
S.CPU.FirstCounter EQU C 500 ;First counter number
S.CPU.HasVolatileFlags EQU 0 ;1=has volatile Flags
S.CPU.LastVolatileFlag EQU -1 ;There are no volatile Flags
S.CPU.FirstNonvolatileFlag EQU F 0 ;Flags from F 0 are nonvolatile
S.CPU.FirstDynCounter EQU C 1400 ;First dynamic Counter address
S.CPU.LastDynCounter EQU C 1599 ;Last dynamic Counter address
S.CPU.FirstDynTimer EQU T 10 ;First dynamic Timer address
S.CPU.LastDynTimer EQU T 499 ;Last dynamic Timer address
S.CPU.FirstDynRegister EQU R 1000 ;First dynamic Register address
S.CPU.LastDynRegister EQU R 9999 ;Last dynamic Register address
S.CPU.FirstDynFlag EQU F 1000 ;First dynamic Flag address
S.CPU.LastDynFlag EQU F 9999 ;Last dynamic Flag address
S.CPU.FirstDynText EQU TEXT 3000 ;First dynamic Text address
S.CPU.LastDynText EQU TEXT 3499 ;Last dynamic Text address
S.CPU.FirstDynDB EQU DB 3500 ;First dynamic DB address
S.CPU.LastDynDB EQU DB 3999 ;Last dynamic DB address
S.CPU.FirstDynRamText EQU TEXT 5000 ;First dynamic RAM Text address
S.CPU.LastDynRamText EQU TEXT 6599 ;Last dynamic RAM Text address
S.CPU.FirstDynRamDB EQU DB 6600 ;First dynamic RAM DB address
S.CPU.LastDynRamDB EQU DB 8191 ;Last dynamic RAM DB address
S.CPU.MaxFlag EQU 16383 ;Last Flag number
S.CPU.MaxReg EQU 16383 ;Last Register number
S.CPU.MaxCounter EQU 1599 ;Last Counter number
S.CPU.Use16BitAddressing EQU 1 ;Use 16-bit Register and Flag addressing (FW >= 1.20.00)
S.CPU.NoDirectIOAccess EQU 0 ;1 if I|O addresses cannot be used
S.CPU.FirstWritableTextDB EQU 4000 ;First writable Text/DB number (-1=not supported)
S.CPU.EnableDIR EQU 0 ;1=Download in Run features enabled
S.PRJ.AppLanguage EQU 'en' ;Preferred language for applications
S.PRJ.LibLanguage EQU 'de' ;Preferred language for libraries
S.PRJ.ANSICodePage EQU 1252 ;PC's Windows ANSI code page
S.PRJ.G01_R01.SbusStation EQU 72 ;
S.SF.SYS.CipherMode.AES EQU K 00H ;
S.SF.SYS.CipherMode.DES EQU K 01H ;
S.SF.SYS.CipherMode.TDES_2KEY EQU K 02H ;
S.SF.SYS.CipherMode.TDES_3KEY EQU K 03H ;
S.SF.SYS.CipherMode.DES_PARITY EQU K 04H ;
S.SF.SYS.CipherMode.TDES_2KEY_PARITY EQU K 05H ;
S.SF.SYS.CipherMode.TDES_3KEY_PARITY EQU K 06H ;
S.SF.SYS.CipherSubMode.ECB EQU K 00H ;
S.SF.SYS.CipherSubMode.CBC EQU K 01H ;
S.SF.SYS.CipherSubMode.CTR EQU K 02H ;
A.BACnet.tmpPV_B EQU F  ; Binary
A.BACnet.tmpPV_A EQU R  ; Analog
A.BACnet.tmpPV_M EQU R  ; Multistate
A.BACnet.tmpReg1 EQU R  ; for calculating
A.BACnet.tmpFlg1 EQU F  ; for calculating
S.SF.ALARM.Delete.ALL EQU K 0 ;
S.SF.ALARM.Delete.NONE EQU K 1 ;
S.SF.ALARM.Delete.OFF EQU K 2 ;
S.SF.ALARM.Delete.ACK EQU K 3 ;
S.SF.ALARM.Delete.ACK_OFF EQU K 4 ;
S.SF.ALARM.Auto.NORMAL EQU K 0 ;
S.SF.ALARM.Auto.OFF EQU K 1 ;
S.SF.ALARM.Auto.ACK EQU K 2 ;
S.SF.ALARM.Auto.ACK_OFF EQU K 3 ;
S.SF.ALARM.Auto.TOP EQU K 4 ;
S.SF.ALARM.Ring.NO EQU K 0 ;
S.SF.ALARM.Ring.YES EQU K 1 ;
S.SF.ALARM.Flags.NO EQU K 0 ;
A.HDLog.FS.RetCode EQU R  ;
S.SF.FILE.AccessType.RD_ONLY EQU K 01H ;
S.SF.FILE.AccessType.WR_ONLY EQU K 02H ;
S.SF.FILE.AccessType.RD_WR EQU K 03H ;
S.SF.FILE.WrAttr.UPDATE EQU K 010H ;
S.SF.FILE.WrAttr.ADDEOF EQU K 011H ;
S.SF.FILE.GroupId.CONFIG EQU K 02H ;
S.SF.FILE.GroupId.DOWNLOAD EQU K 04H ;
S.SF.FILE.GroupId.WEB EQU K 08H ;
S.SF.FILE.GroupId.USER1 EQU K 010H ;
S.SF.FILE.GroupId.USER2 EQU K 020H ;
S.SF.FILE.GroupId.USER3 EQU K 040H ;
S.SF.FILE.GroupId.USER4 EQU K 080H ;
S.SF.FILE.GroupAccess.CONFIG EQU K 02H ;
S.SF.FILE.GroupAccess.DOWNLOAD EQU K 04H ;
S.SF.FILE.GroupAccess.WEB EQU K 08H ;
S.SF.FILE.GroupAccess.USER1 EQU K 010H ;
S.SF.FILE.GroupAccess.USER2 EQU K 020H ;
S.SF.FILE.GroupAccess.USER3 EQU K 040H ;
S.SF.FILE.GroupAccess.USER4 EQU K 080H ;
S.SF.FILE.GroupAccess.ALLG EQU K 255 ;
S.SF.FILE.Compress.AUTO_COMPRESS_ON EQU K 01H ;
S.SF.FILE.Compress.AUTO_COMPRESS_OFF EQU K 0 ;
A.MACROS.PCD_Tijd_Instellen EQU 4829 ;[_HEAWCLK2
A.MACROS.SBus_Channel EQU 4803 ;[_COMSASIIPEX2
A.MACROS.Kalender_Register EQU 4831 ;[_COMTXD4
A.MACROS.Kalender_Flags EQU 4830 ;[_COMTXB5Q
A.HVC.PCD_Tijd_Instellen.TimeCmd EQU F  ;
A.HVC.PCD_Tijd_Instellen.DateCmd EQU F  ;
A.HVC.PCD_Tijd_Instellen.Time EQU R [3] ;
A.HVC.PCD_Tijd_Instellen.Date EQU R  ;
A.HVC.PCD_Tijd_Instellen.DayOW EQU R  ;
A.BACnet.Activated EQU F  ; BACnet aktiviert
A.BACnet.StartUp EQU F  ; BACnet Start
A.BACnet.DerCnt EQU C  ; BACnet Derivation count. Incremented
A.Mail.MailerWorks EQU F  ;
S.Application.Library EQU 6 ;
S.Application.CopyText EQU 0 ;
S.IPS.Library EQU 9 ;
S.IPS.SendMailSimple EQU 0 ;
S.IPS.SendMailComplex EQU 1 ;
S.IPS.SendMail_nParams EQU 14 ;
S.IPS.Format.Plain EQU K 00H ;
S.IPS.Format.HTML EQU K 01H ;
S.IPS.Unused EQU -1 ;
A.ComplexMail.WebCMail.IP_Port EQU R  ; Portadresse des Mailproviders
A.ComplexMail.WebCMail.Sender EQU TEXT  ; Mailadresse des Absendersender
A.ComplexMail.WebCMail.To1 EQU TEXT  ; Mailadresse des 1ten Empfngers
A.ComplexMail.WebCMail.To2 EQU TEXT  ; Mailadresse des 2ten Empfngers
A.ComplexMail.WebCMail.To3 EQU TEXT  ; Mailadresse des 3ten Empfngers
A.ComplexMail.WebCMail.To4 EQU TEXT  ; Mailadresse des 4ten Empfngers
A.ComplexMail.WebCMail.To5 EQU TEXT  ; Mailadresse des 5ten Empfngers
A.ComplexMail.WebCMail.Subject EQU TEXT  ; Betreff
A.ComplexMail.WebCMail.Body EQU TEXT  ; Text
A.ComplexMail.WebCMail.To EQU R  ; Empfnger
A.ComplexMail.WebCMail.Content EQU R  ; Typ der Mail (Plain oder HTML)
A.ComplexMail.WebCMail.TDIA EQU F [10] ;
A.ComplexMail.WebCMail.TBSY EQU F  ;
A.ComplexMail.WebCMail.NEXE EQU F  ;
A.ComplexMail.WebCMail.DREG EQU R [7] ;
A.ComplexMail.WebCMail.Busy EQU F  ;
A.ComplexMail.WebCMail.MailerWorks EQU F  ;
A.ComplexMail.WebCMail.DoInit EQU F  ;
A.ComplexMail.WebCMail.MailerLocked EQU F  ;
A.ComplexMail.WebCMail.MyPriority EQU R  ;
A.ComplexMail.WebCMail.MySubject EQU R  ;
A.ComplexMail.WebCMail.MyBody EQU R  ;
A.ComplexMail.WebCMail.MyFile EQU R  ;
A.ComplexMail.WebCMail.LenSubject EQU 255 ;
A.ComplexMail.WebCMail.LenText EQU 255 ;
A.Alarm.SWeb_Alarmlijst.MyName EQU TEXT [2] ;
A.Alarm.SWeb_Alarmlijst.Texts EQU TEXT 0[1000] ;
A.Alarming.ChkAlmState EQU F  ; Global flag to check active alarm state before resetting
A.Alarm.DDC_SWeb_Alarmlijst EQU 1 ; Alarmliste
A.HDLog.Init EQU R  ; "Base PPO Name" in SWeb Trend Macro
s.file.FileSystem.slot EQU 0 ;
s.file.FileSystem.xdrive EQU TEXT  ;
s.file.FileSystem.enable EQU F  ;
s.file.FileSystem.fsbusy EQU F  ;
s.file.FileSystem.status EQU R  ;
s.file.FileSystem.memory EQU F  ;
s.file.FileSystem.busy EQU F  ;
s.file.FileSystem.total EQU R [5] ;
s.file.FileSystem.used EQU R  ;
s.file.FileSystem.free EQU R  ;
s.file.FileSystem.released EQU R  ;
s.file.FileSystem.fboxbusy EQU F  ;
s.file.FileSystem.debug EQU R  ;
s.file.FileSystem.fboxerr EQU R  ;
A.DDCSuite.Init.AckAlarm.Local EQU F  ; Dient zur Erkennung von lokaler quittierung
A.DDCSuite.Init.ClrMaint.Local EQU F  ; Dient zur Erkennung von lokaler quittierung
A.BACnet.PCD_Intern_Bewaking.AlBattery.OutOfService EQU F  ; Out Of Service
A.BACnet.PCD_Intern_Bewaking.AlBattery.PCDInRef EQU F  ; PCD Input Reference
A.BACnet.PCD_Intern_Bewaking.AlXOB.OutOfService EQU F  ; Out Of Service
A.BACnet.PCD_Intern_Bewaking.AlXOB.PCDInRef EQU F  ; PCD Input Reference
A.DDCSuite.Init.AckAlarm EQU F  ; Acknowledge all stored alarm. Try to set them to normal state
A.DDCSuite.Init.ClrMaint EQU F  ; Clear all maintenance messages and restart internal counter
A.DDCSuite.Init.OutdoorTemp EQU R  ; Outdoor temperature
A.DDCSuite.Init.Blinker EQU F  ; Blinker 1 second interval
A.BACnet.PCD_ABS_Bedrijfsaard.OC.Weekly.Prio01Value EQU F  ; OpenClose Prio 05 Value
A.BACnet.PCD_ABS_Bedrijfsaard.Y.Weekly.Prio01Value EQU F  ; Continous Prio 05 Value
A.BACnet.PCD_ABS_Bedrijfsaard.OC.Weekly.Prio01Enable EQU F  ; OpenClose Prio 05 Enable
A.BACnet.PCD_ABS_Bedrijfsaard.Y.Weekly.Prio01Enable EQU F  ; Continous Prio 05 Enable
A.BACnet.PCD_Spg.Al230AC.OutOfService EQU F  ; Out Of Service
A.BACnet.PCD_Spg.Al230AC.PCDInRef EQU F  ; PCD Input Reference
A.BACnet.PCD_Spg.Al24AC.OutOfService EQU F  ; Out Of Service
A.BACnet.PCD_Spg.Al24AC.PCDInRef EQU F  ; PCD Input Reference
A.BACnet.PCD_Spg.Al24DC.OutOfService EQU F  ; Out Of Service
A.BACnet.PCD_Spg.Al24DC.PCDInRef EQU F  ; PCD Input Reference
A.BACnet.PCD_Spg.AlPhase.OutOfService EQU F  ; Out Of Service
A.BACnet.PCD_Spg.AlPhase.PCDInRef EQU F  ; PCD Input Reference
A.BACnet.PCD_Spg.AlMain.OutOfService EQU F  ; Out Of Service
A.BACnet.PCD_Spg.AlMain.PCDInRef EQU F  ; PCD Input Reference
A.BACnet.PCD_BMS.Alarm.OutOfService EQU F  ; Out Of Service
A.BACnet.PCD_BMS.Alarm.PCDInRef EQU F  ; PCD Input Reference
A.BACnet.PCD_BUL_Temp.OutOfService EQU F [2] ; Out Of Service
A.BACnet.PCD_BUL_Temp.PCDInRef EQU R  ; PCD Input Reference
A.BACnet.PCD_BUL_Temp.Reliability EQU R  ; Reliability
A.HDLog.DateTime.YMD EQU R  ; Year/Month/Day
A.HDLog.DateTime.HMSM EQU R  ; Hours/Minutes/Seconds/Milliseconds
A.HDLog.DateTime.Millisecond EQU R  ; Milliseconds
A.HDLog.DateTime.Week EQU R  ; Week of year
A.HDLog.DateTime.Year EQU R  ; Year
A.HDLog.DateTime.Month EQU R  ; Month
A.HDLog.DateTime.Day EQU R  ; Day
A.HDLog.DateTime.Sec1970 EQU R  ; Seconds since 1970
A.BACnet.eMail_LiveCheck.Alarm.OutOfService EQU F  ; Out Of Service
A.BACnet.eMail_LiveCheck.Alarm.PCDInRef EQU F  ; PCD Input Reference
